#dieses Beispiel verwendet das pysolar-package: http://pysolar.org/
import solar
import datetime
from dateutil import rrule
import math

#Zuerich
latitude=47.38
longitude=8.54

aprilday = datetime.datetime(2011,6,20, 0,0,0)
later = aprilday+datetime.timedelta(days=1)

for dt in rrule.rrule(rrule.HOURLY, dtstart=aprilday, until=later):
  alt=solar.GetAltitude(latitude, longitude, dt)
  radiation=solar.radiation.GetRadiationDirect(dt, alt)
  mesz_hour=dt.hour+2 # umrechnung von utc zu mesz
  print  mesz_hour, radiation

